package com.lantone.qc.trans.beilun.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 病危（重）通知单html解析
 * @author: HUJING
 * @time: 2020/9/14 15:28
 */
public class BeiLunCriticallyIllNoticeHtmlAnalysis implements BeiLunHtmlAnalysis {

    @Override
    public Map<String, String> analysis(String... args) {
        List<String> titles = Lists.newArrayList("临床诊断", "主要症状", "体格检查", "辅助检查", "告知医师签名",
                "告知时间", "患方意见", "患方签名", "手印说明", "与患者关系", "签字时间");
        String html = args[0];
        String recTitle = args[1];
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        String htmlContent = CommonAnalysisUtil.html2String(html);
        if (StringUtil.isNotBlank(htmlContent)) {
            htmlContent = htmlContent.replaceAll("[   ]", " ");
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
        CommonAnalysisUtil.extractDateByTitle(structureMap, "告知时间");
//        structureMap.put("rec_title=", "405");
        BeiLunHtmlAnalysisUtil.insertModuleId(recTitle, structureMap);
        return structureMap;
    }

}